import { Expression, ExpressionSetId } from "../model";
import { sample } from "../util/array-utils";
import { useExpressionsInSet } from "./useExpressionsInSet";

export function useRandomExpressionInSet(
  expression_set_id: ExpressionSetId | undefined
): Expression | undefined {
  const expressions = useExpressionsInSet(expression_set_id);
  if (expressions.length === 0) return undefined;
  return sample(expressions);
}
