import { Page } from "../../components/Page";

export interface PageWithErrorProps {
  message: string;
}

export function PageWithError({ message }: PageWithErrorProps) {
  return (
    <Page>
      <div className="page-with-padding">
        <p className="text-meta">{message}</p>
      </div>
    </Page>
  );
}
